Package org.italiangrid.voms.error

# Enum VOMSValidationErrorCode

java.lang.Object
java.lang.Enum<VOMSValidationErrorCode>
org.italiangrid.voms.error.VOMSValidationErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<VOMSValidationErrorCode>`, `java.lang.constant.Constable`

public enum VOMSValidationErrorCode extends Enum<VOMSValidationErrorCode>
VOMS validation error codes.

Author:
  Andrea Ceccanti

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`aaCertFailsSignatureVerification`
`aaCertNotFound`
`acCertFailsSignatureVerification`
`acHolderDoesntMatchCertChain`
`acNotValidAtCurrentTime`
`canlError`
`emptyAcCertsExtension`
`invalidAaCert`
`invalidAcCert`
`localhostDoesntMatchAcTarget`
`lscDescriptionDoesntMatchAcCert`
`lscFileNotFound`
`other`

## Method Summary

Modifier and Type
Method
Description
`static VOMSValidationErrorCode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static VOMSValidationErrorCode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### acNotValidAtCurrentTime

public static final VOMSValidationErrorCode acNotValidAtCurrentTime

### lscFileNotFound

public static final VOMSValidationErrorCode lscFileNotFound

### emptyAcCertsExtension

public static final VOMSValidationErrorCode emptyAcCertsExtension

### lscDescriptionDoesntMatchAcCert

public static final VOMSValidationErrorCode lscDescriptionDoesntMatchAcCert

### invalidAcCert

public static final VOMSValidationErrorCode invalidAcCert

### acCertFailsSignatureVerification

public static final VOMSValidationErrorCode acCertFailsSignatureVerification

### aaCertNotFound

public static final VOMSValidationErrorCode aaCertNotFound

### invalidAaCert

public static final VOMSValidationErrorCode invalidAaCert

### aaCertFailsSignatureVerification

public static final VOMSValidationErrorCode aaCertFailsSignatureVerification

### acHolderDoesntMatchCertChain

public static final VOMSValidationErrorCode acHolderDoesntMatchCertChain

### localhostDoesntMatchAcTarget

public static final VOMSValidationErrorCode localhostDoesntMatchAcTarget

### canlError

public static final VOMSValidationErrorCode canlError

### other

public static final VOMSValidationErrorCode other

## Method Details

### values

public static VOMSValidationErrorCode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static VOMSValidationErrorCode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null